
@STRING{lncs = {LNCS}}

@STRING{springer = {Springer Verlag}}

@misc{motor1998guidelines,
  title={Guidelines for the use of the C language in vehicle based software},
  author={Motor Industry Software Reliability Association and others},
  year={1998},
  publisher={April}
}

@book{seacord2008cert,
 author = {Seacord, Robert C.},
 title = {The CERT C Secure Coding Standard},
 year = {2008},
 isbn = {0321563212, 9780321563217},
 edition = {1st},
 publisher = {Addison-Wesley Professional},
} 

@article{DeMoura:2011ff,
author = {De Moura, Leonardo and Bj{\o}rner, Nikolaj},
title = {{Satisfiability modulo theories: introduction and applications}},
journal = {Communications of the ACM},
year = {2011},
volume = {54},
number = {9},
month = sep,
doi = {10.1145/1995376.1995394},
}

@incollection{Junker:2012,
    author={Junker, Maximilian and Huuck, Ralf and Fehnker, Ansgar and Knapp, Alexander},
    year={2012},
    title={SMT-based False Positive Elimination in Static Program Analysis},
    series={Lecture Notes in Computer Science},
    publisher={Springer Berlin Heidelberg},
    booktitle={14th International Conference on Formal Engineering Methods, Kyoto Japan},
    volume={7635},
    pages={316-331},
    doi={10.1007/978-3-642-34281-3\_23},
    editor={Aoki, Toshiaki and Taguchi, Kenji},
}



@inproceedings{FHS10a,
  author    = {Ansgar Fehnker and
               Ralf Huuck and
               Sean Seefried},
  title     = {Counterexample Guided Path Reduction for Static Program
               Analysis},
  booktitle = {Concurrency, Compositionality, and Correctness},
  year      = {2010},
  pages     = {322-341},
   series    = {Lecture Notes in Computer Science},
     publisher = {Springer},
  volume    = {5930}
}

@MISC{goannatool,
  author =	 {{G}oanna},
  title =	 {{G}oanna user manual.},
  howpublished = {http://redlizards.com/support/manuals.html}
}
@article{dkw2008,
  AUTHOR    = { D'Silva, Vijay
                and Kroening, Daniel
                and Weissenbacher, Georg },
  TITLE     = { A Survey of Automated Techniques for Formal Software Verification },
  YEAR      = { 2008 },
  PUBLISHER = { IEEE },
  PAGES     = { 1165--1178 },
  JOURNAL   = { IEEE Transactions on Computer-Aided Design of Integrated Circuits and Systems (TCAD) },
  VOLUME    = { 27 },
  MONTH     = { July },
  NUMBER    = { 7 },
   doi = {10.1109/TCAD.2008.923410},
}

@book{Chess:2007,
 author = {Chess, Brian and West, Jacob},
 title = {Secure programming with static analysis},
 year = {2007},
 isbn = {9780321424778},
 publisher = {Addison-Wesley Professional},
} 


@article{Wassermann:2007,
 author = {Wassermann, Gary and Su, Zhendong},
 title = {Sound and precise analysis of web applications for injection vulnerabilities},
 journal = {SIGPLAN Not.},
 issue_date = {June 2007},
 volume = {42},
 issue = {6},
 month = {June},
 year = {2007},
 issn = {0362-1340},
 pages = {32--41},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {static analysis, string analysis, web applications},
} 

@inproceedings{Livshits:2005,
 author = {Livshits, V. Benjamin and Lam, Monica S.},
 title = {Finding security vulnerabilities in java applications with static analysis},
 booktitle = {Proceedings of the 14th conference on USENIX Security Symposium - Volume 14},
 year = {2005},
 location = {Baltimore, MD},
 pages = {18--18},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
} 


@INPROCEEDINGS{Ball04slamand,
    author = {Thomas Ball and Byron Cook and Vladimir Levin and Sriram K. Rajamani},
    title = {SLAM and static driver verifier: Technology transfer of formal methods inside Microsoft},
    booktitle = {In: IFM. (2004},
    year = {2004},
    pages = {1--20},
    publisher = {Springer}
}

@inproceedings{Schwarz:2005,
 author = {Schwarz, Benjamin and Chen, Hao and Wagner, David and Lin, Jeremy and Tu, Wei and Morrison, Geoff and West, Jacob},
 title = {Model Checking An Entire Linux Distribution for Security Violations},
 booktitle = {ACSAC '05},
 pages = {13--22},
 publisher = {IEEE Computer Society},
} 


@TECHREPORT{sate2010,
  AUTHOR =       {Mark Bradley and Ansgar Fehnker and Ralf Huuck and Paul Steckler},
  TITLE =        {Goanna Static Analysis at the NIST Static Analysis Tool Exposition},
  INSTITUTION =  {NIST},
  YEAR =         {2011},
crossref  = {sate2010a}


}

@TECHREPORT{sate2010a,
  AUTHOR =       {Vadim Okun and Aurelien Delaitre and Paul E. Black},
  TITLE =        {{Report on the Third Static Analysis Tool
Exposition (SATE 2010)
}},
  INSTITUTION =  {NIST},
  YEAR =         {2011},
  NOTE = {{Special Publication 500-283}}


}


@INPROCEEDINGS{Schwartz10allyou,
    author = {Edward J. Schwartz and Thanassis Avgerinos and David Brumley},
    title = {All you ever wanted to know about dynamic taint analysis and forward symbolic execution (but might have been afraid to ask)},
    booktitle = {Proceedings of the IEEE Symposium on Security and Privacy},
    year = {2010}
}

@inproceedings{AMP81,
 author = {Ben-Ari, Mordechai and Manna, Zohar and Pnueli, Amir},
 title = {The temporal logic of branching time},
 booktitle = {POPL '81},
 year = {1981},
 isbn = {0-89791-029-X},
 location = {Williamsburg, Virginia},
 pages = {164--176},
 numpages = {13},
 publisher = {ACM},
} 


@inproceedings{FHS10,
  author = {Ansgar Fehnker and Ralf Huuck and Sean Seefried},
  booktitle = {Concurrency, Compositionality, and Correctness},
  pages = {322-341},
  publisher = {Springer},
  series = {LNCS},
  title = {Counterexample Guided Path Reduction for Static Program Analysis.},
  volume = 5930,
  year = 2010,
  isbn = {978-3-642-11511-0}
}


@TECHREPORT{FH08tech ,
  AUTHOR =       {Ansgar Fehnker and Ralf Huuck and Felix Rauch and Sean Seefried},
  TITLE =        {Counterexample Guided Path Reduction},
  INSTITUTION =  {NICTA},
  YEAR =         {2008},
  number =       {(number to be assigned)},
  month =        {January},
}

@inproceedings{GR06,
  author    = {B.S.~Gulavani and
               S.~Rajamani},
  title     = {Counterexample Driven Refinement for Abstract Interpretation},
  booktitle = {TACAS 2006},
  year      = {2006},
  series    = {LNCS 3920}
}
@inproceedings{WYGI07,
  author    = {C.~Wang and
               Z.~Yang and
               A.~Gupta and
               F.~Ivancic},
  title     = {Using Counterexamples for Improving the Precision of Reachability
               Computation with Polyhedra},
  booktitle = {CAV 207},
  series    = {LNCS 4590},
  year      = {2007}
}



@INPROCEEDINGS{BV01,
  author =	 {G.~Brat and W.~Visser},
  title =	 {Combining Static Analysis and Model Checking for
                  Software Analysis},
  booktitle =	 {Intl. Conf. on Automated Software Engineering (ASE
                  '01)},
  year =	 {2001},
  pages =	 {262},
  publisher =	 {IEEE Computer Society}
}

@INPROCEEDINGS{Benedikt02,
  author =	 {Michael Benedikt and Wenfei Fan and Gabriel
                  M. Kuper},
  title =	 {Structural Properties of XPath Fragments},
  booktitle =	 {ICDT '03: Proceedings of the 9th International
                  Conference on Database Theory},
  year =	 {2002},
  pages =	 {79--95},
  address =	 {London, UK},
  publisher =	 {Springer-Verlag},
  isbn =	 {3-540-00323-1}
}

@INCOLLECTION{Cousot81-1,
  author =	 {Cousot, P{.}},
  title =	 {Semantic Foundations of Program Analysis},
  booktitle =	 {Program Flow Analysis: Theory and Applications},
  publisher =	 {Prentice-Hall, Inc{.}, New Jersey},
  year =	 {1981},
  editor =	 {Muchnick, S.S{.} and Jones, N.D{.}},
  chapter =	 {10},
  pages =	 {303--342}
}

@INPROCEEDINGS{CousotCousot79-1,
  author =	 {Cousot, P{.} and Cousot, R{.}},
  title =	 {Systematic design of program analysis frameworks},
  booktitle =	 {Conference Record of the Sixth Annual ACM
                  SIGPLAN-SIGACT Symposium on Principles of
                  Programming Languages},
  year =	 {1979},
  pages =	 {269--282},
  address =	 {San Antonio, Texas},
  publisher =	 {ACM Press, New York, NY},
  doi = {10.1145/567752.567778}
}

@ARTICLE{CousotCousot92-2,
  author =	 {Cousot, P{.} and Cousot, R{.}},
  title =	 {Abstract Interpretation Frameworks},
  journal =	 {Journal of Logic and Computation},
  year =	 {1992},
  volume =	 {2},
  pages =	 {511--547},
  number =	 {4},
  month =	 aug,
  publisher =	 {Oxford University Press, Oxford, UK}
}

@PROCEEDINGS{DBLP:conf/focs/FOCS24,
  title =	 {24th Annual Symposium on Foundations of Computer
                  Science, 7-9 November 1983, Tucson, Arizona, USA},
  year =	 {1983},
  publisher =	 {IEEE},
  bibsource =	 {DBLP, http://dblp.uni-trier.de},
  booktitle =	 {FOCS}
}


@InProceedings{DN06a,
  author = 	 {Dennis R. Dams and Kedar S. Namjoshi},
  title = 	 {Orion: High-Precision Methods for Static Error Analysis of {C} and {C}++ Programs},
  booktitle = 	 {Formal Methods for Components and Objects},
  pages =	 {138--160},
  year =	 2006,
  volume =	 4111,
  series =	 "LNCS",
  address =	 "Berlin Heidelberg",
  publisher = "Springer"
}

@TECHREPORT{DN04,
  author =	 {D.~Dams and K.S. Namjoshi},
  title =	 {Orion: High-Precision Methods for Static Error
                  Analysis of {C} and {C++} Programs},
  institution =	 {Lucent Technologies},
  year =	 {2004},
  type =	 {Bell Labs Tech. Mem.},
  number =	 {ITD-04-45263Z}
}


@inproceedings{FHJLR07,
 author = {Fehnker, Ansgar and Huuck, Ralf and Jayet, Patrick and Lussenburg, Michel and Rauch, Felix},
 title = {Model Checking Software at Compile Time},
 booktitle = {Proceedings of the First Joint IEEE/IFIP Symposium on Theoretical Aspects of Software Engineering},
 series = {TASE '07},
 year = {2007},
 isbn = {0-7695-2856-2},
 pages = {45--56},
 numpages = {12},
 doi = {10.1109/TASE.2007.34},
 acmid = {1264352},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
} 

@inproceedings{JM06,
  author =	 {Ranjit Jhala and Kenneth L. McMillan},
  title =	 {A Practical and Complete Approach to Predicate
                  Refinement},
  booktitle =	 {Proc TACAS},
  year =	 {2006},
  pages =	 {459-473},
  series =	 {LNCS 3920}
}

@inproceedings{KW06,
  author =	 {Daniel Kroening and Georg Weissenbacher},
  title =	 {Counterexamples with Loops for Predicate
                  Abstraction},
  booktitle =	 {CAV},
  year =	 {2006},
  series =	 {LNCS 4144}
}

@INPROCEEDINGS{KleinHuuck05,
  author =	 {Klein, G{.} and Huuck, R{.}},
  title =	 {High Assurance System Software},
  booktitle =	 {Proc. of the 10th Australian Workshop on Safety
                  Critical Systems and Software},
  year =	 {2005},
  address =	 {Sydney, Australia},
  publisher =	 {To appear.}
}

@MASTERSTHESIS{Krat05,
  author =	 {Kratkiewicz, K. },
  title =	 {Evaluating Static Analysis Tools for Detecting
                  Buffer Overflows in {C} Code},
  year =	 {2005},
  institution =	 {Harvard University, Cambridge, MA}
}

@BOOK{NNH99fe,
  title =	 {Principles of Program Analysis},
  publisher =	 {Springer},
  year =	 {1999},
  author =	 {F. Nielson and H. Riis Nielson and C. L. Hankin},
  htmlonly =	 {\htmladdnormallink{[Publishing Information]}{
                  http://www.imm.dtu.dk/\~{}riis/PPA/ppa.html}}
}

@INPROCEEDINGS{NuSMV2,
  author =	 {A. Cimatti and E. Clarke and E. Giunchiglia and
                  F. Giunchiglia and M. Pistore and M. Roveri and
                  R. Sebastiani and A. Tacchella},
  title =	 {{NuSMV Version 2: An OpenSource Tool for Symbolic
                  Model Checking}},
  booktitle =	 {Intl. Conf. on Computer-Aided Verification (CAV
                  2002)},
  year =	 {2002},
  volume =	 {2404},
  series =	 {LNCS},
  publisher =	 {Springer}
}

@INPROCEEDINGS{TUAnalyzer,
  author =	 {Th.~Gschwind and M.~Pinzger and H.~Gall},
  title =	 {{TUAnalyzer - Analyzing Templates in C++ Code}},
  booktitle =	 {11th Working Conference on Reverse Engineering
                  (WCRE04)},
  year =	 {2004},
  publisher =	 {IEEE}
}

@ARTICLE{Turing36,
  author =	 {A.M. Turing},
  title =	 {{On Computable Numbers, with an Application to the
                  Entscheidungsproblem}},
  journal =	 {Proc. LMS, Series 2},
  year =	 {1936-1937},
  volume =	 {42},
  pages =	 {230--265}
}

@INPROCEEDINGS{WVS83,
  author =	 {Pierre Wolper and Moshe Y. Vardi and A. Prasad
                  Sistla},
  title =	 {Reasoning about Infinite Computation Paths (Extended
                  Abstract)},
  booktitle =	 {FOCS},
  year =	 {1983},
  pages =	 {185--194},
  bibsource =	 {DBLP, http://dblp.uni-trier.de},
  crossref =	 {DBLP:conf/focs/FOCS24}
}

@INPROCEEDINGS{aiken91implementing,
  author =	 {Alex Aiken and Brian Murphy},
  title =	 {{Implementing Regular Tree Expressions}},
  booktitle =	 {{Conf. on Functional Programming Languages and
                  Computer Architecture}},
  year =	 {1991},
  number =	 {523},
  address =	 {Cambridge, MA, USA, August 26-30},
  publisher =	 {Springer},
  url =		 {citeseer.ist.psu.edu/aiken91implementing.html}
}

@ARTICLE{astree,
  author =	 {B. Blanchet and P. Cousot and R. Cousot and J. Feret
                  and L. Mauborgne and A. Min\'e; and D. Monniaux and
                  X. Rival},
  title =	 {Design and implementation of a special-purpose
                  static program analyzer for safety-critical
                  real-time embedded software},
  year =	 {2002},
  pages =	 {85--108},
  address =	 {New York, NY, USA},
  book =	 {The essence of computation: complexity, analysis,
                  transformation},
  isbn =	 {3-540-00326-6},
  publisher =	 {Springer-Verlag New York, Inc.}
}

@INPROCEEDINGS{ballSDV04,
  author =	 {T. Ball and B. Cook and V. Levin and S. K. Rajamani},
  title =	 {{SLAM} and {S}tatic {D}river {V}erifier: Technology
                  Transfer of Formal Methods inside {M}icrosoft},
  booktitle =	 {Intl. Conf. on Integrated Formal Methods (IFM 2004)},
  year =	 {2004},
  volume =	 {2999},
  series =	 lncs,
  pages =	 {1--20},
  month =	 jan,
  publisher =	 springer
}

@INPROCEEDINGS{blast,
  author =	 {Thomas A. Henzinger and Ranjit Jhala and Rupak
                  Majumdar and Kenneth L. McMillan},
  title =	 {Abstractions from proofs.},
  booktitle =	 {POPL},
  year =	 {2004},
  pages =	 {232--244},
  bibsource =	 {DBLP, http://dblp.uni-trier.de},
  ee =		 {http://doi.acm.org/10.1145/964021}
}

@INPROCEEDINGS{chess02improving,
  author =	 {Brian Chess},
  title =	 {Improving Computer Security Using Extended Static
                  Checking},
  booktitle =	 {SP '02: 2002 IEEE Symposium on Security and Privacy},
  year =	 {2002},
  pages =	 {160},
  address =	 {Washington, DC, USA},
  publisher =	 {IEEE Computer Society},
  isbn =	 {0-7695-1543-6}
}

@INPROCEEDINGS{ckl2004CBCMC,
  author =	 { E.~Clarke and D.~Kroening and F.~Lerda},
  title =	 { A Tool for Checking {ANSI-C} Programs },
  booktitle =	 { Proc. TACAS 2004 },
  year =	 { 2004 },
  series =	 { LNCS 2988 },
  pages =	 { 168--176 }
}

@INPROCEEDINGS{cksy2005,
  author =	 { E.~Clarke and D.~Kroening and N.~Sharygina and K.~Yorav },
  title =	 { {SATABS}: {SAT}-based Predicate Abstraction for
                  {ANSI-C} },
  booktitle =	 { Proc. TACAS 2005 },
  year =	 { 2005 },
  series =	 {LNCS 3440},
  pages =	 { 570--574 }
}

@INPROCEEDINGS{clarkeemerson81,
  author =	 {Edmund M. Clarke and E. Allen Emerson},
  title =	 {Design and Synthesis of synchronization skeletons
                  for branching time temporal logic},
  booktitle =	 {Logics of Programs Workshop, New York, May 1981},
  year =	 {1982},
  volume =	 {131},
  series =	 lncs,
  pages =	 {52--71},
  publisher =	 springer,
  doi = {10.1007/BFb0025774}
}

@INPROCEEDINGS{cmbc,
  author =	 { Clarke, Edmund and Kroening, Daniel and Lerda,
                  Flavio },
  title =	 { A Tool for Checking {ANSI-C} Programs },
  booktitle =	 { Tools and Algorithms for the Construction and
                  Analysis of Systems (TACAS 2004) },
  year =	 { 2004 },
  volume =	 { 2988 },
  series =	 { LNCS },
  pages =	 { 168--176 },
  publisher =	 { Springer },
  isbn =	 { 3-540-21299-X }
}

@BOOK{compiler:dragon,
  title =	 {Compilers: Principles, Techniques and Tools},
  publisher =	 {Addison-Wesley},
  year =	 {1986},
  author =	 {Aho, A. V. and Sethi, R. and Ullman, J. D.},
  key =		 {Aho1986}
}

@BOOK{compiler:muchnick,
  title =	 {Advanced Compiler Design and Implementation},
  publisher =	 {Morgan Kaufmann Publishers},
  year =	 {1997},
  author =	 {Muchnick, S.},
  key =		 {Muchnick1997}
}

@ARTICLE{cou94,
  author =	 {B. Courcelle},
  title =	 {Monadic second-order definable graph transductions:
                  a survey},
  journal =	 {Theoret. Comput. Sci.},
  year =	 {1994},
  volume =	 {126},
  pages =	 {53--75},
  file =	 {cou94a.pdf}
}

@PHDTHESIS{cousot78:phd,
  author =	 {Patrick Cousot},
  title =	 {M\'ethodes it\'eratives de construction et
                  d'approximation de points fixes d'op\'erateurs
                  monotones sur un treillis, analyse s\'emantique de
                  programmes},
  school =	 {Universit\'e scientifique et m\'edicale de Grenoble},
  year =	 {1978},
  address =	 {France}
}

@MISC{coverity,
  author =	 {{C}overity},
  title =	 {{P}revent for {C} and {C}++},
  howpublished = {http://www.coverity.com}
}

@INPROCEEDINGS{engler00checking,
  author =	 {D. Engler and B. Chelf and A. Chou and S. Hallem},
  title =	 {Checking System Rules Using System-Specific,
                  Programmer-Written Compiler Extensions},
  booktitle =	 {Proc. Symposium on Operating Systems Design and
                  Implementation, San Diego, CA},
  year =	 {2000},
  month =	 oct
}

@INPROCEEDINGS{engler04static,
  author =	 {D. Engler and M. Musuvathi},
  title =	 {Static analysis versus software model checking for
                  bug finding},
  booktitle =	 {Intl. Conf. on Verification, Model Checking and
                  Abstract Interpretation (VMCAI '04)},
  year =	 {2004},
  url =		 {citeseer.ist.psu.edu/article/engler04static.html}
}

@TECHREPORT{es96,
  author =	 {Andreas Ermedahl and Mikael Sj{\"o}din},
  title =	 {Interval Analysis of {C}-variables using Abstract
                  Interpretation},
  institution =	 {Uppsala University},
  year =	 {1996},
  month =	 {December}
}

@MISC{flexelint,
  author =	 {{G}impel {S}oftware},
  title =	 {FlexeLint for {C}/{C}++\hfill},
  howpublished = {http://www.gimpel.com/html/flex.htm}
}

@MISC{goannahp,
  author =	 {NICTA},
  title =	 {The {G}oanna {P}roject},
  howpublished = {http://ertos.nicta.com.au/research/goanna/}
}

@MISC{grammatech,
  author =	 {{G}ramma{T}ech},
  title =	 {{C}ode{S}urfer},
  howpublished = {http://www.grammatech.com/}
}

@INPROCEEDINGS{gs07,
  author =	 {Thomas Gawlitza and Helmut Seidl},
  title =	 {Precise Fixpoint Computation Through Strategy
                  Iteration.},
  booktitle =	 {ESOP},
  year =	 {2007},
  series =	 {LNCS 4421},
  pages =	 {300-315},
  publisher =	 {Springer Verlag}
}

@ARTICLE{hacking,
  author =	 {G. Antoniol and M. Di Penta and G. Masone and
                  U. Villano},
  title =	 {{Compiler Hacking for Source Code Analysis}},
  journal =	 {Software Quality Journal},
  year =	 {2004},
  volume =	 {12},
  pages =	 {383--406},
  publisher =	 {Kluwer Academic}
}

@INPROCEEDINGS{hjms03,
  author =	 {Henzinger, T.A. and Jhala, R. and Majumdar, R. and
                  SUTRE, G.},
  title =	 {Software Verification with {BLAST}},
  booktitle =	 {Proc. SPIN2003},
  year =	 {2003},
  series =	 {LNCS 2648},
  pages =	 {235--239}
}

@INPROCEEDINGS{holzmann02static,
  author =	 {G.J. Holzmann},
  title =	 {Static source code checking for user-defined
                  properties},
  year =	 {2002},
  address =	 {Pasadena, CA, USA},
  month =	 {June},
  booktitle =	 {Proc. IDPT 2002}
}

@INPROCEEDINGS{hscc05,
  author =	 {A. Fehnker and E.M. Clarke and S. Jha and
                  B.H. Krogh},
  title =	 {Refining Abstractions of Hybrid Systems Using
                  Counterexample Fragments},
  booktitle =	 {Proc. HSCC 2005},
  year =	 {2005},
  series =	 {LNCS 3414},
  pages =	 {242-257},
  owner =	 {ansgar},
  timestamp =	 {2007.10.14}
}

@MISC{klocwork,
  author =	 {Klocwork},
  title =	 {{K}locwork {I}nsight},
  howpublished = {http://www.klocwork.com/}
}

@INPROCEEDINGS{magic,
  author =	 {Sagar Chaki and Edmund M. Clarke and Alex Groce and
                  Ofer Strichman},
  title =	 {{Predicate Abstraction with Minimum Predicates.}},
  booktitle =	 {CHARME},
  year =	 {2003},
  pages =	 {19--34},
  bibsource =	 {DBLP, http://dblp.uni-trier.de},
  ee =
                  {http://springerlink.metapress.com/openurl.asp?genre=article{\&}issn=0302-9743{\&}volume=2860{\&}spage=19}
}

@INPROCEEDINGS{ml06,
  author =	 {J.T. M\"uhlberg and G. L\"uttgen},
  title =	 {{BLAST}ing {L}inux Code },
  booktitle =	 {Proc. of the 11th International Workshop on Formal
                  Methods for Industrial Critical Systems (FMICS 06)},
  year =	 {To appear},
  volume =	 {4346},
  series =	 lncs,
  publisher =	 spring
}

@MISC{polyspace,
  author =	 {{P}oly{S}pace},
  title =	 {{P}oly{S}pace for {C}++\hfill},
  howpublished = {http://www.polyspace.com/cpp.htm}
}

@MISC{prefast,
  author =	 {Microsoft},
  title =	 {Prefast\hfill},
  howpublished =
                  {http://www.microsoft.com/whdc/devtools/tools/PREfast.mspx}
}

@INPROCEEDINGS{queillesifakis82,
  author =	 {Jean-Pierre Queille and Joseph Sifakis},
  title =	 {Specification and verification of concurrent systems
                  in {CESAR}},
  booktitle =	 {Proc. Intl. Symposium on Programming, April
                  6--8},
  year =	 {1982},
  pages =	 {337--350},
  publisher =	 springer,
  doi = {10.1007/3-540-11494-7\_22 }
}

@TECHREPORT{saxe99checking,
  author =	 {{K. Rustan M. Leino, James B. Saxe} and Raymie
                  Stata},
  title =	 {Checking {Java} programs via guarded commands},
  year =	 {1999},
  number =	 {1999-002},
  address =	 {Palo Alto, CA},
  url =		 {citeseer.ist.psu.edu/leino99checking.html}
}

@INPROCEEDINGS{schmidt98,
  author =	 {David A. Schmidt},
  title =	 {Data flow analysis is model checking of abstract
                  interpretations},
  booktitle =	 {ACM SIGPLAN-SIGACT Symposium on Principles of
                  Programming Languages (POPL '98)},
  year =	 {1998},
  address =	 {New York, NY, USA},
  publisher =	 {ACM Press},
  isbn =	 {0-89791-979-3}
}

@INPROCEEDINGS{sk05,
  author =	 {Bastian Schlich and Stefan Kowalewski},
  title =	 {Model Checking {C} Source Code for embedded Systems},
  booktitle =	 {Proc. of the IEEE/NASA Workshop on Leveraging
                  Applications of Formal Methods, Verification, and
                  Validation},
  year =	 {2005},
  month =	 {Sept},
  publisher =	 {NASA/CP-2005-212788}
}

@INPROCEEDINGS{slam,
  author =	 {Thomas Ball and Sriram K. Rajamani},
  title =	 {{The SLAM Toolkit}},
  booktitle =	 {Intl. Conf. on Computer Aided Verification (CAV
                  '01)},
  year =	 {2001},
  pages =	 {260--264},
  address =	 {London, UK},
  publisher =	 {Springer-Verlag},
  isbn =	 {3-540-42345-1}
}

@ARTICLE{spinbook97,
  author =	 {Gerard J. Holzmann},
  title =	 {The Model Checker {SPIN}},
  journal =	 {IEEE Trans. Softw. Eng.},
  year =	 {1997},
  volume =	 {23},
  pages =	 {279--295},
  number =	 {5},
  address =	 {Piscataway, NJ, USA},
  doi =		 {http://dx.doi.org/10.1109/32.588521},
  issn =	 {0098-5589},
  publisher =	 {IEEE Press}
}

@INPROCEEDINGS{ss98,
  author =	 {David A. Schmidt and Bernhard Steffen},
  title =	 {Program Analysis as Model Checking of Abstract
                  Interpretations},
  booktitle =	 {Proc. SAS '98},
  year =	 {1998},
  pages =	 {351--380},
  publisher =	 {Springer-Verlag}
}

@INPROCEEDINGS{sumit,
  author =	 {S.~Kumar Jha and B.~Krogh and E.~Clarke and
                  J.~Weimer and A.~Palkar},
  title =	 {Iterative Relaxation Abstraction for Linear Hybrid
                  Automata.},
  booktitle =	 {Proc. HSCC 2007},
  year =	 {2007},
  series =	 {LNCS}
}
